[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNodes.Add

Adds a new tree node as a sibling of the specified node.

## Declaration

Source position: comctrls.pp line 3249

`public function TTreeNodes.Add(`
`SiblingNode: TTreeNode;`
`const S: string`
`):TTreeNode;`

## Arguments

`SiblingNode` |  | Tree node that is a sibling of the new node.
`S` |  | Text for the new tree node.

## Function result

Tree node created and added in the method.

## See also

TTreeNodes.AddObject |  | Adds a node with the specified text and data at the same level as the sibling node.